openvpn: Changes after review, clang-formatting
[collectd.git] / build.sh
index 804b2e2..40f5361 100755 (executable)
--- a/build.sh
+++ b/build.sh
@@ -6,7 +6,8 @@ check_for_application ()
 {
        for PROG in "$@"
        do
-               if ! which "$PROG" >/dev/null 2>&1; then
+               which "$PROG" >/dev/null 2>&1
+               if test $? -ne 0; then
                        cat >&2 <<EOF
 WARNING: \`$PROG' not found!
     Please make sure that \`$PROG' is installed and is in one of the
@@ -17,12 +18,7 @@ EOF
        done
 }
 
-check_for_application lex yacc autoheader aclocal automake autoconf
-
-# Actually we don't need the pkg-config executable, but we need the M4 macros.
-# We check for `pkg-config' here and hope that M4 macros will then be
-# available, too.
-check_for_application pkg-config
+check_for_application lex bison autoheader aclocal automake autoconf pkg-config
 
 libtoolize=""
 libtoolize --version >/dev/null 2>/dev/null
@@ -53,6 +49,6 @@ set -x
 
 autoheader \
 && aclocal \
-&& $libtoolize --ltdl --copy --force \
+&& $libtoolize --copy --force \
 && automake --add-missing --copy \
 && autoconf